# Uses of Class
javax.swing.event.MenuKeyEvent

Packages that use MenuKeyEvent
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.event
Provides for events fired by Swing components.

## Uses of MenuKeyEvent in javax.swing

Methods in javax.swing with parameters of type MenuKeyEvent
Modifier and Type
Method
Description
`protected void`
JMenuItem.`fireMenuKeyPressed(MenuKeyEvent event)`
Notifies all listeners that have registered interest for notification on this event type.
`protected void`
JMenuItem.`fireMenuKeyReleased(MenuKeyEvent event)`
Notifies all listeners that have registered interest for notification on this event type.
`protected void`
JMenuItem.`fireMenuKeyTyped(MenuKeyEvent event)`
Notifies all listeners that have registered interest for notification on this event type.
`void`
JMenuItem.`processMenuKeyEvent(MenuKeyEvent e)`
Handles a keystroke in a menu.

## Uses of MenuKeyEvent in javax.swing.event

Methods in javax.swing.event with parameters of type MenuKeyEvent
Modifier and Type
Method
Description
`void`
MenuKeyListener.`menuKeyPressed(MenuKeyEvent e)`
Invoked when a key has been pressed.
`void`
MenuKeyListener.`menuKeyReleased(MenuKeyEvent e)`
Invoked when a key has been released.
`void`
MenuKeyListener.`menuKeyTyped(MenuKeyEvent e)`
Invoked when a key has been typed.